Subscribe to a calendar feed
curl --request GET \
--url https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.icsimport requests
url = "https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<string>{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}Calendar feeds
Subscribe to a calendar feed
Read scheduled project tasks using a secret calendar feed link. Anyone with the link can read matching task titles, descriptions, and dates. Responses are streamed; descriptions longer than 4096 characters and titles or calendar names longer than 1024 characters are truncated with an ellipsis.
GET
/
calendar-feed
/
{token}
/
calendar.ics
Subscribe to a calendar feed
curl --request GET \
--url https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.icsimport requests
url = "https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.kaneo.app/api/calendar-feed/{token}/calendar.ics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body<string>{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}{
"message": "Task not found",
"code": "NOT_FOUND",
"issues": [
{
"path": "body.title",
"message": "Required"
}
],
"missingPermissions": [
"task:update"
]
}Path Parameters
Pattern:
^[a-f0-9]{64}$Response
iCalendar feed
The response is of type string.
Was this page helpful?
⌘I